package standardcovoiturage

import "time"

type Trip struct {
	Operator               string        `json:"operator"`
	PassengerPickupLat     float64       `json:"passengerPickupLat"`
	PassengerPickupLng     float64       `json:"passengerPickupLng"`
	PassengerDropLat       float64       `json:"passengerDropLat"`
	PassengerDropLng       float64       `json:"passengerDropLng"`
	Duration               time.Duration `json:"duration"`
	PassengerPickupAddress *string       `json:"passengerPickupAddress,omitempty"`
	PassengerDropAddress   *string       `json:"passengerDropAddress,omitempty"`
	Distance               *int64        `json:"distance,omitempty"`
	DriverDepartureLat     *float64      `json:"driverDepartureLat,omitempty"`
	DriverDepartureLng     *float64      `json:"driverDepartureLng,omitempty"`
	DriverArrivalLat       *float64      `json:"driverArrivalLat,omitempty"`
	DriverArrivalLng       *float64      `json:"driverArrivalLng,omitempty"`
	DriverDepartureAddress *string       `json:"driverDepartureAddress,omitempty"`
	DriverArrivalAddress   *string       `json:"driverArrivalAddress,omitempty"`
	JourneyPolyline        *string       `json:"journeyPolyline,omitempty"`
	//WebUrl                 *string       `json:"webUrl,omitempty"`
	Preferences *Preferences `json:"preferences,omitempty"`
}

type DriverTrip struct {
	Driver                           User           `json:"driver"`
	DepartureToPickupWalkingDistance *int64         `json:"departureToPickupWalkingDistance,omitempty"`
	DepartureToPickupWalkingDuration *time.Duration `json:"departureToPickupWalkingDuration,omitempty"`
	DepartureToPickupWalkingPolyline *string        `json:"departureToPickupWalkingPolyline,omitempty"`
	DropoffToArrivalWalkingDistance  *int64         `json:"dropoffToArrivalWalkingDistance,omitempty"`
	DropoffToArrivalWalkingDuration  *time.Duration `json:"dropoffToArrivalWalkingDuration,omitempty"`
	DropoffToArrivalWalkingPolyline  *string        `json:"dropoffToArrivalWalkingPolyline,omitempty"`
	Car                              *Car           `json:"car,omitempty"`

	Trip
}

type PassengerTrip struct {
	Passenger User `json:"passenger"`

	Trip
}
